com.amazon.redshift.replication.fluent.physical

## Class PhysicalCreateSlotBuilder

- java.lang.Object
- - com.amazon.redshift.replication.fluent.AbstractCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>
  - - com.amazon.redshift.replication.fluent.physical.PhysicalCreateSlotBuilder

All Implemented Interfaces:
  ChainedCommonCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>, ChainedPhysicalCreateSlotBuilder

    public class PhysicalCreateSlotBuilder
    extends AbstractCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>
    implements ChainedPhysicalCreateSlotBuilder

### Field Summary

### Fields inherited from class com.amazon.redshift.replication.fluent.AbstractCreateSlotBuilder

`connection, slotName, temporaryOption`

### Constructor Summary

Constructors
Constructor and Description
`PhysicalCreateSlotBuilder(BaseConnection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReplicationSlotInfo` `make()` Create slot with specified parameters in database.
`protected ChainedPhysicalCreateSlotBuilder` `self()`

### Methods inherited from class com.amazon.redshift.replication.fluent.AbstractCreateSlotBuilder

`withSlotName, withTemporaryOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.amazon.redshift.replication.fluent.ChainedCommonCreateSlotBuilder

`withSlotName, withTemporaryOption`

### Constructor Detail

#### PhysicalCreateSlotBuilder

    public PhysicalCreateSlotBuilder(BaseConnection connection)

### Method Detail

#### self

    protected ChainedPhysicalCreateSlotBuilder self()

Specified by:
  `self` in class `AbstractCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>`

#### make

    public ReplicationSlotInfo make()
                             throws SQLException

Description copied from interface: `ChainedCommonCreateSlotBuilder`
Create slot with specified parameters in database.

Specified by:
  `make` in interface `ChainedCommonCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>`
Returns:
  ReplicationSlotInfo with the information of the created slot.
Throws:
  `SQLException` - on error